# Manage User Details PATCH /api/v1/iam/iamuserdetails/me/ Content-Type: application/json Retrieves, updates, or deletes the authenticated user's details. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/iamuserdetails-me-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/iamuserdetails/me/: patch: operationId: iamuserdetails-me-partial-update summary: Manage User Details description: Retrieves, updates, or deletes the authenticated user's details. tags: - subpackage_iam responses: '200': description: User details content: application/json: schema: $ref: '#/components/schemas/IAMUserDetail' '401': description: Unauthorized content: application/json: schema: description: Any type '404': description: User details not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/PatchedIAMUserDetail' components: schemas: DeveloperSkill: type: object properties: id: type: integer name: type: string description: type: - string - 'null' required: - id - name title: DeveloperSkill InvestmentInterest: type: object properties: id: type: integer name: type: string description: type: - string - 'null' required: - id - name title: InvestmentInterest Tag: type: object properties: name: type: string required: - name title: Tag PatchedIAMUserDetail: type: object properties: profile_picture: type: string format: uri bio: type: - string - 'null' address: description: Any type country: type: string phone: type: - string - 'null' dob: type: - string - 'null' format: date user_type: type: string linkedin_url: type: - string - 'null' format: uri github_url: type: - string - 'null' format: uri twitter_url: type: - string - 'null' format: uri facebook_url: type: - string - 'null' format: uri website_url: type: - string - 'null' format: uri portfolio_url: type: - string - 'null' format: uri skills: type: array items: type: string investment_interests: type: array items: type: string technical_interests: type: - array - 'null' items: type: string focus_area: type: - array - 'null' items: type: string resume: type: string format: uri communication_preferences_phone: type: - boolean - 'null' default: false communication_preferences_email: type: - boolean - 'null' default: false platform_features_emails: type: - boolean - 'null' default: false activity_based_emails: type: - boolean - 'null' default: false company_info: description: Any type skills_data: type: array items: $ref: '#/components/schemas/DeveloperSkill' investment_interests_data: type: array items: $ref: '#/components/schemas/InvestmentInterest' technical_interests_data: type: array items: $ref: '#/components/schemas/DeveloperSkill' focus_area_data: type: array items: $ref: '#/components/schemas/Tag' additional_data: oneOf: - description: Any type - type: 'null' top_domain_elo: type: number format: double top_domain_rank: type: integer streak: type: string highest_streak: type: string streak_freeze_days: type: string title: type: string unlocked_titles: type: string followers_count: type: integer following_count: type: integer is_following: type: boolean is_followed_back: type: boolean title: PatchedIAMUserDetail IAMUserDetail: type: object properties: profile_picture: type: string format: uri bio: type: - string - 'null' address: description: Any type country: type: string phone: type: - string - 'null' dob: type: - string - 'null' format: date user_type: type: string linkedin_url: type: - string - 'null' format: uri github_url: type: - string - 'null' format: uri twitter_url: type: - string - 'null' format: uri facebook_url: type: - string - 'null' format: uri website_url: type: - string - 'null' format: uri portfolio_url: type: - string - 'null' format: uri skills: type: array items: type: string investment_interests: type: array items: type: string technical_interests: type: - array - 'null' items: type: string focus_area: type: - array - 'null' items: type: string resume: type: string format: uri communication_preferences_phone: type: - boolean - 'null' default: false communication_preferences_email: type: - boolean - 'null' default: false platform_features_emails: type: - boolean - 'null' default: false activity_based_emails: type: - boolean - 'null' default: false company_info: description: Any type skills_data: type: array items: $ref: '#/components/schemas/DeveloperSkill' investment_interests_data: type: array items: $ref: '#/components/schemas/InvestmentInterest' technical_interests_data: type: array items: $ref: '#/components/schemas/DeveloperSkill' focus_area_data: type: array items: $ref: '#/components/schemas/Tag' additional_data: oneOf: - description: Any type - type: 'null' top_domain_elo: type: number format: double top_domain_rank: type: integer streak: type: string highest_streak: type: string streak_freeze_days: type: string title: type: string unlocked_titles: type: string followers_count: type: integer following_count: type: integer is_following: type: boolean is_followed_back: type: boolean required: - user_type - skills_data - investment_interests_data - technical_interests_data - focus_area_data - top_domain_elo - top_domain_rank - streak - highest_streak - streak_freeze_days - title - unlocked_titles - followers_count - following_count - is_following - is_followed_back title: IAMUserDetail ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/iam/iamuserdetails/me/" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/iam/iamuserdetails/me/'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/iamuserdetails/me/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/iamuserdetails/me/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.example.com/api/v1/iam/iamuserdetails/me/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.example.com/api/v1/iam/iamuserdetails/me/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/iamuserdetails/me/"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/iamuserdetails/me/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```